Skip to main content
POST
/
action
/
company_research_v2_get_section
[CR4] Get Report Section
curl --request POST \
  --url https://api-lr.agent.ai/v1/action/company_research_v2_get_section \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "report_id": "{{research_result.report_id}}",
  "section_key": "company-overview",
  "output_variable_name": "section_data"
}
'
{
  "status": 123,
  "response": {}
}

Authorizations

Authorization
string
header
required

Bearer token from your account (https://agent.ai/user/integrations#api)

Body

application/json
report_id
string
default:{{research_result.report_id}}
required

UUID of the report.

section_key
enum<string>
default:company-overview
required

Section to retrieve.

Available options:
company-overview,
technology-stack,
wappalyzer-technologies,
financials,
hubspot-info,
funding-history,
web-traffic,
people,
news,
homepage-screenshot,
competitors,
job-openings,
search-keywords,
contact,
g2-reviews
output_variable_name
string
default:section_data
required

Variable name for the section data.

Pattern: ^[a-zA-Z][a-zA-Z0-9_]*$

Response

Successful response

status
integer<int32>

HTTP status code of the action response

response
object

Response data from the action